const fs = require('fs-extra');
const path = require('path');
const execSync = require('child_process').execSync;

const plugin = path.join(__dirname, 'template/sds-ui');
const pluginResources = path.join(plugin, 'src/main/webapp/resources');
const pluginBuildScripts = path.join(plugin, 'build-plugin-package.sh');
const pluginTarget = path.join(plugin, 'target');

function createVSpherePlugin(bundle, options) {
  try {
    // cp wizard dist bundle into template
    console.log('Copying wizard bundle into vsphere plugin template...')
    fs.copySync(bundle, pluginResources);

    // build vsphere plugin
    console.log('Buiding vsphere plugin...')
    execSync(`cd ${plugin} && bash ./build-plugin-package.sh`);

    // archive vsphere plugin target package to dist
    console.log('Archiving vsphere plugin into wizard bundle folder...');
    const distAssets = `${bundle}/static/assets`;
    fs.ensureDirSync(distAssets);
    execSync(`zip -r ${distAssets}/vsphere-ui-plugin.zip ${pluginTarget}/sds`);

    console.log('Done.')
  } catch(err) {
    console.error(err);
  }
}

module.exports = createVSpherePlugin;